# Retrieve a projects list for given search criteria Endpoint: GET /projects Version: 2.51.0 Security: OAuth2 ## Query parameters: - `offset` (integer) A zero-based offset of the first item in the data collection to return. - `limit` (integer) Limit the amount of items returned in the response. If the value exceeds the maximum, then the maximum value will be used. - `sort` (string) The field to sort reponse items by. Enum: "-createdAt", "+createdAt" - `isLive` (boolean) - `search` (string) Search text is used against projects name and id ## Response 200 fields (application/json): - `data` (array, required) - `data.id` (string, required) Project ID Example: "63e6663823b4c1f5287398bb" - `data.createdAt` (string, required) Example: "1990-12-31T15:46:19.384990Z" - `data.createdBy` (string, required) Project member id Example: "63e6663823b4c1f5287398bb" - `data.updatedAt` (string, required) Example: "1990-12-31T15:46:19.384990Z" - `data.updatedBy` (string, required) Project member id Example: "63e6663823b4c1f5287398bb" - `data.name` (string, required) Project name Example: "My Project" - `data.note` (string) Project note Example: "My project description note" - `data.extractionModelId` (string, required) Extraction Model id Example: "63e6663823b4c1f5287398bb" - `data.ocr` (any, required) - `data.completion` (string, required) ProjectCompletion type * automatic - Mark documents as completed after succesfull validation * manual - Mark documents to review after succesfull validation Enum: "automatic", "manual" - `data.duplicates` (string, required) How duplicates documents show be handle * allow - Allow documents duplicates to be processed * fail - Mark documents duplicates as failed Enum: "allow", "fail" - `data.members` (any, required) - `data.retentionDays` (integer) Project document retention in days Example: 180 - `data.isLive` (boolean, required) Indicates if a project is live or not - `limit` (integer, required) Example: 20 - `offset` (integer, required) - `totalCount` (integer, required) Example: 1 ## Response 401 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 403 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 422 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 500 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error